/**
 * Abstract class representing a Database with a generic type extending DatabaseTransaction.
 * @template T - The type of DatabaseTransaction to be used.
 */
export class Database {
    /**
     * Constructor for a class that takes in a database configuration object.
     * @param {DbConfig<any>} config - The database configuration object.
     * @returns None
     */
    constructor(config) {
        this.config = config;
    }
}
//# sourceMappingURL=Database.js.map