var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/**
 * Handles a request and sends a response with the message 'Healthy!'.
 * @param {Request} _request - The request object.
 * @param {Response} res - The response object.
 * @returns None
 */
export default (_request, res) => __awaiter(void 0, void 0, void 0, function* () {
    res.send('Healthy!');
});
//# sourceMappingURL=HealthHandler.js.map