import { Request, Response } from 'express'

/**
 * Handles a request and sends a response with the message 'Healthy!'.
 * @param {Request} _request - The request object.
 * @param {Response} res - The response object.
 * @returns None
 */
export default async (_request: Request, res: Response) => {
  res.send('Healthy!')
}
